package org.processmining.logenhancement.merge.alignmentbased;

import java.util.BitSet;
import java.util.List;
import java.util.NavigableSet;
import java.util.Set;

import org.deckfour.xes.classification.XEventClass;
import org.deckfour.xes.model.XEvent;

interface EventSet {

	BitSet getUsedEvents();

	Set<XEvent> asSet();

	void markUnavailable(EventEntry e);

	NavigableSet<EventEntry> findByClass(XEventClass neededEventClass);

	EventEntry getEvent(int index);

	List<EventEntry> getEventsSortedByTime(BitSet eventBitSet);

	int size();

}